// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    repositories {
        google()
        jcenter()
    }

    apply from: 'config/config.gradle'
    dependencies {
        classpath "com.android.tools.build:gradle:4.1.2"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:${env.kotlin_version}"

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        maven { url 'https://jitpack.io' }
    }

    apply plugin: 'idea'
    buildDir = new File(rootDir, "gradle-build/${path.replaceAll(':', '/')}")
}

task clean(type: Delete) {
    delete rootProject.buildDir
}